<!-- Container-fluid starts--> 
<div class="container-fluid">
    <div class="row">
        <div class="col-sm-12">
            <div class="card tab2-card">
                <div class="card-header">
                    <h5> Manage Permission</h5>
                </div>
                <div class="card-body tab2-card">
                    <div class="card-body">
                        <div class="btn-popup pull-right">
                        </div>
                    </div>
                </div>
                <ngb-tabset class="tab-coupon">
                    <ngb-tab>
                        <ng-template ngbTabTitle>Permission
                            <ng-template ngbTabContent>
                                <form class="needs-validation user-add" novalidate="">
                                    <div class="container bootstrap snippets bootdey">
                                        <div class="row">
                                            <div class="col-lg-12">
                                                <div class="main-box no-header clearfix">
                                                    <div class="main-box-body clearfix">
                                                        <div class="table-responsive">
                                                            <table class="table user-list">
                                                                <thead>
                                                                    <tr>

                                                                        <th><span>Role</span></th>
                                                                        <th><span>Permission</span></th>
                                                                        <th><span>Action</span></th>

                                                                    </tr>
                                                                </thead>
                                                                <!-- <tbody *ngFor="let u of listrole"> -->
                                                                <tr>

                                                                    <td>Admin</td>
                                                                    <td>
                                                                        <div *ngFor="let o of listadmin[0]?.permissions">
                                                                            {{o?.name}}
                                                                        </div>


                                                                    </td>

                                                                    <td style="width: 20%;">

                                                                        <a (click)="open1(adminModif)"
                                                                            class="table-link text-info">
                                                                            <span class="fa-stack" style="color:rgb(14, 172, 14) ;">
                                                                                <i class="fa fa-square fa-stack-2x"></i>
                                                                                <i
                                                                                    class="fa fa-pencil fa-stack-1x fa-inverse"></i>
                                                                            </span>
                                                                        </a>
                                                                        <a (click)="open1(adminSuprim)"
                                                                            class="table-link danger">
                                                                            <span class="fa-stack">
                                                                                <i class="fa fa-square fa-stack-2x"></i>
                                                                                <i
                                                                                    class="fa fa-trash-o fa-stack-1x fa-inverse"></i>
                                                                            </span>
                                                                        </a>


                                                                    </td>
                                                                </tr>
                                                                <tr>

                                                                    <td>Seller</td>
                                                                    <td>
                                                                        <div *ngFor="let o of listvendeur[0]?.permissions">
                                                                            {{o?.name}}
                                                                        </div>


                                                                    </td>

                                                                    <td style="width: 20%;">

                                                                        <a (click)="open1(vendeurModif)"
                                                                            class="table-link text-info">
                                                                            <span class="fa-stack" style="color:rgb(14, 172, 14) ;">
                                                                                <i class="fa fa-square fa-stack-2x"></i>
                                                                                <i
                                                                                    class="fa fa-pencil fa-stack-1x fa-inverse"></i>
                                                                            </span>
                                                                             
                                                                        </a>
                                                                        <a (click)="open1(vendeurSuprim)"
                                                                            class="table-link danger">
                                                                            <span class="fa-stack">
                                                                                <i class="fa fa-square fa-stack-2x"></i>
                                                                                <i
                                                                                    class="fa fa-trash-o fa-stack-1x fa-inverse"></i>
                                                                            </span>
                                                                        </a>


                                                                    </td>
                                                                </tr>
                                                                <tr>

                                                                    <td>Buyer</td>
                                                                    <td>
                                                                        <div *ngFor="let o of listacheteur[0]?.permissions">
                                                                            {{o?.name}}
                                                                        </div>


                                                                    </td>

                                                                    <td style="width: 20%;">

                                                                        <a (click)="open1(acheteurModif)"
                                                                            class="table-link text-info">
                                                                            <span class="fa-stack" style="color:rgb(14, 172, 14) ;">
                                                                                <i class="fa fa-square fa-stack-2x"></i>
                                                                                <i
                                                                                    class="fa fa-pencil fa-stack-1x fa-inverse"></i>
                                                                            </span>
                                                                            
                                                                        </a>
                                                                        <a (click)="open1(acheteurSuprim)"
                                                                            class="table-link danger">
                                                                            <span class="fa-stack">
                                                                                <i class="fa fa-square fa-stack-2x"></i>
                                                                                <i
                                                                                    class="fa fa-trash-o fa-stack-1x fa-inverse"></i>
                                                                            </span>
                                                                        </a>


                                                                    </td>
                                                                </tr>


                                                            </table>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </ng-template>
                        </ng-template>
                    </ngb-tab>
                </ngb-tabset>
            </div>
        </div>
    </div>
    <!--Modifier Permission ADMIN-->
    <ng-template #adminModif let-modal>
        <div class="modal-header">
            <h5 class="modal-title f-w-600" id="exampleModalLabel">Add Permission</h5>
            <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <form [formGroup]="addFormRole" class="needs-validation">
                <div class="form">
                    <div class="form-group">
                        <label class="mb-1">Role Name :</label>
                        <input type="text" value="ADMIN" class="form-control">
                    </div>

                    <div class="form-group">
                        <label for="validationCustom01" class="mb-1">Permission :</label>

                        <div class="col-xl-9 col-sm-8">
                            <select multiple class="form-control" formControlName="roles_permission">
                                <option *ngFor="let permi of listpermissionadmin" [value]="permi">
                                    {{permi}}</option>

                            </select>
                        </div>
                    </div>
                </div>
            </form>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-primary" (click)="AjoutAdminRolePermission()">Save
            </button>
            <button class="btn btn-secondary" type="button" data-dismiss="modal"
                (click)="modal.dismiss('Cross click')">Close</button>
        </div>

    </ng-template>
    <!--RemovePermission ADMIN-->
    <ng-template #adminSuprim let-modal>
        <div class="modal-header">
            <h5 class="modal-title f-w-600" id="exampleModalLabel">Remove Permission</h5>
            <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <form [formGroup]="addFormRole1" class="needs-validation">
                <div class="form">
                    <div class="form-group">
                        <label for="name" class="mb-1">Role Name :</label>
                        <input type="text" value="ADMIN" class="form-control" id="name">
                    </div>
                    <div class="form-group">
                        <label class="mb-1">Permission :</label>
                        <div class="col-xl-9 col-sm-8">
                            <div class="col-xl-9 col-sm-8">
                                <select multiple class="form-control" formControlName="roles_permission">
                                    <option *ngFor="let permi of listadmin[0]?.permissions" [value]="permi?.name">
                                        {{permi?.name}}</option>
                                </select>

                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-primary" (click)="RemoveAdminRolePermission()">Remove</button>
            <button class="btn btn-secondary" type="button" data-dismiss="modal"
                (click)="modal.dismiss('Cross click')">Close</button>
        </div>
    </ng-template>
    <!--ModifVendeur-->
    <ng-template #vendeurModif let-modal>
        <div class="modal-header">
            <h5 class="modal-title f-w-600" id="exampleModalLabel">Add Permission</h5>
            <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <form [formGroup]="addFormRole2" class="needs-validation">
                <div class="form">
                    <div class="form-group">
                        <label class="mb-1">Role Name :</label>
                        <input type="text" value="VENDEUR" class="form-control">
                    </div>

                    <div class="form-group">
                        <label for="validationCustom01" class="mb-1">Permission :</label>

                        <div class="col-xl-9 col-sm-8">
                            <select multiple class="form-control" formControlName="roles_permission">
                                <option *ngFor="let permi of listpermissionvendeur" [value]="permi">
                                    {{permi}}</option>

                            </select>
                        </div>
                    </div>
                </div>
            </form>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-primary" (click)="AjoutVendeurRolePermission()">Save</button>
            <button class="btn btn-secondary" type="button" data-dismiss="modal"
                (click)="modal.dismiss('Cross click')">Close</button>
        </div>

    </ng-template>
    <!--RemovePermission VENDEUR-->
    <ng-template #vendeurSuprim let-modal>
        <div class="modal-header">
            <h5 class="modal-title f-w-600" id="exampleModalLabel">Remove Permission</h5>
            <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <form [formGroup]="addFormRole3" class="needs-validation">
                <div class="form">
                    <div class="form-group">
                        <label for="name" class="mb-1">Role Name :</label>
                        <input type="text" value="VENDEUR" class="form-control" id="name">
                    </div>
                    <div class="form-group">
                        <label class="mb-1">Permission :</label>
                        <div class="col-xl-9 col-sm-8">
                            <div class="col-xl-9 col-sm-8">
                                <select multiple class="form-control" formControlName="roles_permission">
                                    <option *ngFor="let permi of listvendeur[0]?.permissions" [value]="permi?.name">
                                        {{permi?.name}}</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-primary" (click)="RemoveVendeurRolePermission()">Save</button>
            <button class="btn btn-secondary" type="button" data-dismiss="modal"
                (click)="modal.dismiss('Cross click')">Close</button>
        </div>
    </ng-template>
    <!--ModifAcheteur-->
    <ng-template #acheteurModif let-modal>
        <div class="modal-header">
            <h5 class="modal-title f-w-600" id="exampleModalLabel">Add Permission</h5>
            <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <form [formGroup]="addFormRole4" class="needs-validation">
                <div class="form">
                    <div class="form-group">
                        <label class="mb-1">Role Name :</label>
                        <input type="text" value="CLIENT" class="form-control">
                    </div>

                    <div class="form-group">
                        <label for="validationCustom01" class="mb-1">Permission :</label>

                        <div class="col-xl-9 col-sm-8">
                            <select multiple class="form-control" formControlName="roles_permission">
                                <option *ngFor="let permi of listpermissionacheteur" [value]="permi">
                                    {{permi}}</option>

                            </select>
                        </div>
                    </div>
                </div>
            </form>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-primary" (click)="AjoutAcheteurRolePermission()">Save</button>
            <button class="btn btn-secondary" type="button" data-dismiss="modal"
                (click)="modal.dismiss('Cross click')">Close</button>
        </div>

    </ng-template>
    <!--RemovePermission ACHETEUR-->
    <ng-template #acheteurSuprim let-modal>
        <div class="modal-header">
            <h5 class="modal-title f-w-800" id="exampleModalLabel">Remove Permission</h5>
            <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <form [formGroup]="addFormRole5" class="needs-validation">
                <div class="form">
                    <div class="form-group">
                        <label for="name" class="mb-1">Role Name :</label>
                        <input type="text" value="CLIENT" class="form-control" id="name">
                    </div>
                    <div class="form-group">
                        <label class="mb-1">Permission :</label>
                        <div class="col-xl-9 col-sm-8">
                            <div class="col-xl-9 col-sm-8">
                                <select multiple class="form-control" formControlName="roles_permission">
                                    <option *ngFor="let permi of listacheteur[0].permissions" [value]="permi?.name">
                                        {{permi?.name}}</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-primary" (click)="RemoveAcheteurRolePermission()">Save</button>
            <button class="btn btn-secondary" type="button" data-dismiss="modal"
                (click)="modal.dismiss('Cross click')">Close</button>
        </div>
    </ng-template>